### Method

# Adw AlertDialog set_close_response

since: 1.5

#### Declaration [src]

    void
    adw_alert_dialog_set_close_response (
      AdwAlertDialog* self,
      const char* response
    )

#### Description [src]

Sets the ID of the close response of `self`.

It will be passed to `AdwAlertDialog::response` if the dialog is closed by pressing `Escape` or with a system action.

It doesn’t have to correspond to any of the responses in the dialog.

The default close response is `close`.

Available since: 1.5

Sets property | `Adw.AlertDialog:close-response`

#### Parameters

`response`

  Type: `const char*`

  The close response ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.